Loading...
Searching...
No Matches
pcl::search Namespace Reference

## Classes

class | BruteForce
| Implementation of a simple brute force search algorithm. More...
class | FlannSearch
| search::FlannSearch is a generic FLANN wrapper class for the new search interface. More...
class | KdTree
| search::KdTree is a wrapper class which inherits the pcl::KdTree class for performing search functions using KdTree structure. More...
class | Octree
| search::Octree is a wrapper class which implements nearest neighbor search operations based on the pcl::octree::Octree structure. More...
class | OrganizedNeighbor
| OrganizedNeighbor is a class for optimized nearest neighbor search in organized projectable point clouds, for instance from Time-Of-Flight cameras or stereo cameras. More...
class | Search
| Generic search class. More...